Subject: Re: bug#32252: [PATCH] %o and %x now format signed numbers

From: Paul Eggert <[email-masked]>
Date: Thu, 26 Jul 2018 10:50:35 -0700

On 07/26/2018 10:16 AM, Helmut Eller wrote:
> Where is that code?

One example is url-digest-auth-make-cnonce. This was the first I ran 
into. No doubt there are others.

> And why would it be difficult to teach
> format-time-string to deal with the tricky bits that current-time
> returns.

?! format-time-string already does that. And it's a hassle. Other Emacs 
Lisp code inspects timestamps directly too. And it's a hassle for that 
code too. Bignums would significantly lessen this hassle. Surely this is 
obvious.